# pion::net Namespace Reference

## Classes

class | HTTPAuth
class | HTTPBasicAuth
class | HTTPCookieAuth
class | HTTPMessage
class | HTTPParser
class | HTTPReader
class | HTTPRequest
class | HTTPRequestReader
class | HTTPRequestWriter
class | HTTPResponse
class | HTTPResponseReader
class | HTTPResponseWriter
class | HTTPServer
struct | HTTPTypes
class | HTTPWriter
class | PionUser
class | PionUserManager
class | TCPConnection
class | TCPServer
class | TCPStreamBuffer
class | TCPStream
class | TCPTimer
class | WebServer
class | WebService

## Typedefs

typedef boost::shared_ptr< HTTPAuth > | HTTPAuthPtr
| data type for a HTTPAuth pointer
typedef boost::shared_ptr< HTTPRequest > | HTTPRequestPtr
| data type for a HTTP request pointer
typedef boost::shared_ptr< HTTPRequestReader > | HTTPRequestReaderPtr
| data type for a HTTPRequestReader pointer
typedef boost::shared_ptr< HTTPRequestWriter > | HTTPRequestWriterPtr
| data type for a HTTPRequestWriter pointer
typedef boost::shared_ptr< HTTPResponse > | HTTPResponsePtr
| data type for a HTTP response pointer
typedef boost::shared_ptr< HTTPResponseReader > | HTTPResponseReaderPtr
| data type for a HTTPResponseReader pointer
typedef boost::shared_ptr< HTTPResponseWriter > | HTTPResponseWriterPtr
| data type for a HTTPResponseWriter pointer
typedef boost::shared_ptr< HTTPServer > | HTTPServerPtr
| data type for a HTTP protocol handler pointer
typedef boost::shared_ptr< HTTPWriter > | HTTPWriterPtr
| data type for a HTTPWriter pointer
typedef boost::shared_ptr< PionUser > | PionUserPtr
| data type for a PionUser pointer
typedef boost::shared_ptr< PionUserManager > | PionUserManagerPtr
| data type for a PionUserManager pointer
typedef boost::shared_ptr< TCPConnection > | TCPConnectionPtr
| data type for a TCPConnection pointer
typedef boost::shared_ptr< TCPServer > | TCPServerPtr
| data type for a TCPServer pointer
typedef boost::shared_ptr< TCPTimer > | TCPTimerPtr
| shared pointer to a TCPTimer object
typedef boost::shared_ptr< WebServer > | WebServerPtr
| data type for a web server pointer

## Functions

template<typename T>
const HTTPRequestWriterPtr & | operator<< (const HTTPRequestWriterPtr &writer, const T &data)
| override operator<< for convenience
template<typename T>
const HTTPResponseWriterPtr & | operator<< (const HTTPResponseWriterPtr &writer, const T &data)
| override operator<< for convenience
template<typename T>
HTTPWriterPtr & | operator<< (HTTPWriterPtr &writer, const T &data)
| override operator<< for convenience